/**
 * @see https://umijs.org/docs/max/access#access
 * */
export default function access(initialState: { menuType: "distributor" | "miniApp" }) {
  return {
    isShow: (route: { name: string; }) => {
      if(initialState?.menuType){
        const { menuType } = initialState;
        let regex = new RegExp(`^${menuType}\\.`);
        return route.name.match(regex)
      }
      return false
    
    },//路由名称包含menuType才显示
  };
}
